Get Training Materials
This API allows you to fetch the details and the metadata of the training materials associated with a particular ConvoKraft bot.
You can integrate this functionality into your Catalyst application using the API provided below.
Request Details
Request URL
{api-domain}/convokraft/api/v1/bots/{botid}/rag_training_data?type=DEVELOPED
Note:
-
The query parameter type=DEVELOPED is used to indicate that the bot is in the developed state within the ConvoKraft service.
-
You can fetch the botid directly from the URL in the ConvoKraft service when the environment is set to Development in the console.
For example : https://console.catalyst.zoho.com/baas/v1/project/183272829220/Development#/convokraft/bots/3828281991118
Here, 3828281991118 is the botid.
Scope
ZIAPlatform.Convokraft.RAG.READ
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
CATALYST-ORG: {org_id}
X-CATALYST-projectid: {project id}
X-CATALYST-Environment: Development
Response Details
This API provides details and the metadata of all training materials associated with the bot, including the unique ID generated by ConvoKraft, the title, URL, and status of each training material. It also includes information about the creation and modification of the materials, such as the user’s email address, time zone, ZUID, role, and other relevant details, along with the creation and modification timestamps.
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/convokraft/api/v1/bots/92738220219110/rag_training_data?type=DEVELOPED
-H ‘Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57’
-H ‘Content-Type: application/json’
-H ‘CATALYST-ORG: 372822922’
-H ‘X-CATALYST-projectid: 2728172727718’
-H ‘X-CATALYST-Environment: “Development”’ \
{
“rag_training_data”: [
{
“id”: “67799000000085007”,
“title”: “Iphone 15 Specifications”,
“url”: “https://www.apple.com/iphone-15/”,
“source”: “URL”,
“created_by”: {
“id”: “76859507”,
“email”: “amelia.burrows@zylker.com”,
“username”: “amelia.burrows”,
“timezone”: “Asia/Calcutta”,
“nickname”: “amelia”,
“locale”: “en_IN”,
“role”: “SUPER_ADMIN”,
“zuid”: “76859507”
},
“created_time”: “1732880033148”,
“modified_by”: {
“id”: “76859507”,
“email”: “amelia.burrows@zylker.com”,
“username”: “amelia.burrows”,
“timezone”: “Asia/Calcutta”,
“nickname”: “nivetha.raja”,
“locale”: “en_IN”,
“role”: “SUPER_ADMIN”,
“zuid”: “76859507”
},
“modified_time”: “1732880389581”,
“status”: “TRAINED”
},
{
“id”: “67799000000085009”,
“title”: “Iphone 11 Specifications”,
“url”: “https://www.apple.com/iphone-11/”,
“source”: “URL”,
“created_by”: {
“id”: “76859507”,
“email”: “amelia.burrows”,
“username”: “amelia.burrows”,
“timezone”: “Asia/Calcutta”,
“nickname”: “amelia”,
“locale”: “en_IN”,
“role”: “SUPER_ADMIN”,
“zuid”: “76859507”
},
“created_time”: “1732880131250”,
“modified_by”: {
“id”: “76859507”,
“email”: “amelia.burrows@zylker.com”,
“username”: “amelia.burrows”,
“timezone”: “Asia/Calcutta”,
“nickname”: “amelia”,
“locale”: “en_IN”,
“role”: “SUPER_ADMIN”,
“zuid”: “76859507”
},
“modified_time”: “1732880131250”,
“status”: “TRAINED”
}
]
}
Yes
No
Send your feedback to us